Page MenuHomePhabricator

Rename the oversight group on WMF projects to the MediaWiki standard (whatever that is)
Closed, ResolvedPublic

Description

The oversight group's internal name should be changed to suppress, following the change made for all non-Wikimedia wikis already. This will require assistance from the Wikimedia communities.

Actions required by Wikimedia project communities

Currently, the group's internal name is "oversight". Communities can customize how the group is referred to by MediaWiki by changing the following pages:

  • MediaWiki:Grouppage-oversight (linking to a local project page, describing the role of the suppressors/oversighters)
  • MediaWiki:Group-oversight (containing the name MediaWiki should call the group by)
  • MediaWiki:Group-oversight-member (containing the name MediaWiki should call the group's members, at lists such as Special:Listusers)

The names can be changed in Translatewiki for all wikis in your language. For convenience, translation links are listed below.

Old names in translatewiki:

New names in translatewiki:

Starting February 21, 2022 (tentative date), the group will be renamed in Wikimedia's configuration. Once that happens, new set of pages will be used (MediaWiki:Grouppage-suppress, MediaWiki:Group-suppress, MediaWiki:Group-suppress-member). Please ensure content of those pages is consistent with your community's standards.

Once the rename happens, it will be necessary to change links going to Special:Listusers/oversight to Special:Listusers/suppress.

Previous description
In T109327#1546253, Krenair wrote:

To do this we have to actually rename the group everywhere

In T109327#1626170, Umherirrender wrote:

Just add the englisch and qqq message key to the WikimediaMessages extension. It has to be oversight, because the user group was not renamed on wmf wikis.

See also

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Change 684052 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[mediawiki/extensions/WikimediaMessages@master] Temporarily alias grouppage-suppress to grouppage-oversight

https://gerrit.wikimedia.org/r/684052

Just noting here that "suppress" is considered a very, very negative word in common English usage. "Oversighter" was bad enough; "Suppressor" is horrendous, and not the kind of user group name that's appropriate for diligent users taking care of some of the nastiest stuff on the projects. I have no idea why someone thought "suppress" was a good name way back in 2009, but it's even worse now in 2021, when we've had multiple opportunities to find a user group name with less authoritarian and negative connotations.

I'm not sure I want to be known as a suppressor.

Just noting here that "suppress" is considered a very, very negative word in common English usage. "Oversighter" was bad enough; "Suppressor" is horrendous, and not the kind of user group name that's appropriate for diligent users taking care of some of the nastiest stuff on the projects. I have no idea why someone thought "suppress" was a good name way back in 2009, but it's even worse now in 2021, when we've had multiple opportunities to find a user group name with less authoritarian and negative connotations.

Thank you for your point of view. I don't agree that it applies to all native English speakers, however.

Jdforrester-WMF renamed this task from Rename the oversight group on WMF projects to Rename the oversight group on WMF projects to the MediaWiki standard (whatever that is).May 7 2021, 6:47 PM

Just noting here that "suppress" is considered a very, very negative word in common English usage. "Oversighter" was bad enough; "Suppressor" is horrendous, and not the kind of user group name that's appropriate for diligent users taking care of some of the nastiest stuff on the projects. I have no idea why someone thought "suppress" was a good name way back in 2009, but it's even worse now in 2021, when we've had multiple opportunities to find a user group name with less authoritarian and negative connotations.

Thank you for your point of view. I don't agree that it applies to all native English speakers, however.

James, it has been the expressed opinion of the English WIkipedia community, and the oversighter team, since 2009 that the people who carry out this function should never be called "suppressors" nor should that term be used on English Wikipedia due to the negative connotations of the term. The same may not be true of other languages (for all I know, the term being used in other languages may not be nearly as problematic), and it's possible that some people *like* the idea of having user rights that use an explicitly authoritarian name. It's clear that the WMF hasn't cared for 12 years about this, despite it being repeatedly raised by English Wikipedia people.

Call the underlying software what you like, but the term "suppressor" should never appear anywhere on English Wikipedia.

Just noting here that "suppress" is considered a very, very negative word in common English usage. "Oversighter" was bad enough; "Suppressor" is horrendous, and not the kind of user group name that's appropriate for diligent users taking care of some of the nastiest stuff on the projects. I have no idea why someone thought "suppress" was a good name way back in 2009, but it's even worse now in 2021, when we've had multiple opportunities to find a user group name with less authoritarian and negative connotations.

Thank you for your point of view. I don't agree that it applies to all native English speakers, however.

James, it has been the expressed opinion of the English WIkipedia community, and the oversighter team, since 2009 that the people who carry out this function should never be called "suppressors" nor should that term be used on English Wikipedia due to the negative connotations of the term.

Indeed, I was a part of said team at the time. I recall some disquiet about whatever the name should be, but I would not characterise it as a consensus opinion.

However, this discussion is out of scope for this task. I recommend you file a task proposing a different name for it if you think that worthwhile.

However, this discussion is out of scope for this task.

This is exactly what the task is, what to rename the oversight group. Some alternatives: concealers, hiders, obscurers, camouflagers.

Just to clarify, in what areas of the interface would this change be visible? For example, on enwiki the term "oversight" currently appears in Special:UserRights and Special:ListUsers, and the term "Oversighters" appears in Special:ListGroupRights. Would that change to "suppress" and "Suppressors" if this change is deployed? Would it be possible for local communities to overwrite this change with their own custom label if they don't want it?

Edit: After talking to someone on IRC, my understanding is that the end result would be similar to how the software refers to the Administrators group as 'sysop' in parts of the interface (e.g. Special:ListUsers/sysop), but describes it as "administrator" and "Administrators" in other areas of the interface. As long as the interface still reads "oversight" and "Oversighters" just as it works for 'sysop', I don't think this is an objectionable change.

Just to clarify, in what areas of the interface would this change be visible? For example, on enwiki the term "oversight" currently appears in Special:UserRights and Special:ListUsers, and the term "Oversighters" appears in Special:ListGroupRights. Would that change to "suppress" and "Suppressors" if this change is deployed? Would it be possible for local communities to overwrite this change with their own custom label if they don't want it?

Edit: After talking to someone on IRC, my understanding is that the end result would be similar to how the software refers to the Administrators group as 'sysop' in parts of the interface (e.g. Special:ListUsers/sysop), but describes it as "administrator" and "Administrators" in other areas of the interface. As long as the interface still reads "oversight" and "Oversighters" just as it works for 'sysop', I don't think this is an objectionable change.

As of now, MediaWiki uses the word "suppress" pretty much everywhere (even as the group name, for any third-party installation). Wikimedia has a hack in the configuration that mostly renames the group to "oversight" (but sometimes fail, see T275334).

Since the way WMF config changes the group name is really not what it should do, the best fix is to remove the hack and use the suppress group provided by MediaWiki.

This will change the group name everywhere where it is exposed by MediaWiki. Communities can customize that by changing MediaWiki:Group-suppress and MediaWiki:Group-suppress-member. The only thing communities won't be able to customize is the technical group name (that one is usually displayed in URL only).

Does that make sense?

Gotcha, thanks for the clarification. I think the key here is that we can customize the label through the MediaWiki:Group-suppress and MediaWiki:Group-suppress-member pages. On enwiki, I imagine we'll change it to "Oversighters" for MediaWiki:Group-suppress and "oversight" for MediaWiki:Group-suppress-member, so ultimately the impact of this technical change will be imperceptible to most users.

Change 752162 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[operations/mediawiki-config@master] Do not delete the suppress group

https://gerrit.wikimedia.org/r/752162

Change 752163 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[operations/mediawiki-config@master] Remove the oversight group hack

https://gerrit.wikimedia.org/r/752163

Change 684052 merged by jenkins-bot:

[mediawiki/extensions/WikimediaMessages@master] Temporarily alias grouppage-suppress to grouppage-oversight

https://gerrit.wikimedia.org/r/684052

Urbanecm updated the task description. (Show Details)
Urbanecm moved this task from Already announced/Archive to To Triage on the User-notice board.

Hello User-notice people!

I'd like to get this moving a bit. Unfortunately, I underestimated the time it'd take for a patch needed for the change to get merged, so I wasn't able to do this in "two weeks", as previously advertised. Since significant time passed since this was last in the user notice, I think we should repeat the https://meta.wikimedia.org/wiki/Tech/News/2021/16 notice. Is that possible, please? I also updated the task's description, saying what needs to be done to customize the group's display name as communities like (feel free to edit the wording/ask questions about what I said above).

As far as I can see, everything should now be ready from the technical PoV. I'm now being a bit more careful than last time, and creating a reminder for myself to do this in the week of Feb 21 (so there is a plenty of time to prepare in advance). This is a tentative date, and I'm very happy to change it to an earlier/later one, if you have a preference.

@Urbanecm Hallo :)
IIUC, you would like a new Tech News entry that reads:

A change that was announced last year was delayed. It is now ready to move ahead:

  • The user group oversight will be renamed suppress. This is for technical reasons. This is the technical name. It doesn't affect what you call the editors with this user right on your wiki. This is planned to happen in three weeks. You can comment in Phabricator if you have objections.

I suggest an additional sentence that reads:

As usual, these labels can be localized on translatewiki or by administrators on your wiki.

I also suggest it might be helpful to provide links directly to translatewiki for the centralized solution? (Either in the description here, or perhaps somewhere relevant already exists on Meta-wiki?) I.e.

Old names in translatewiki:

New names in translatewiki:

@Urbanecm Hallo :)
IIUC, you would like a new Tech News entry that reads:

A change that was announced last year was delayed. It is now ready to move ahead:

  • The user group oversight will be renamed suppress. This is for technical reasons. This is the technical name. It doesn't affect what you call the editors with this user right on your wiki. This is planned to happen in three weeks. You can comment in Phabricator if you have objections.

Sounds good to me! Thanks for wording it.

I suggest an additional sentence that reads:

As usual, these labels can be localized on translatewiki or by administrators on your wiki.

Yup yup.

I also suggest it might be helpful to provide links directly to translatewiki for the centralized solution? (Either in the description here, or perhaps somewhere relevant already exists on Meta-wiki?) I.e.

Old names in translatewiki:

New names in translatewiki:

Good idea. Added to description. Unfortunately, I'm not aware about a meta wiki page that can be used for this. I can create a new one if you think that's appropriate, or we can concentrate all the information into this task's description.

Change 752162 merged by jenkins-bot:

[operations/mediawiki-config@master] Do not delete the suppress group

https://gerrit.wikimedia.org/r/752162

Mentioned in SAL (#wikimedia-operations) [2022-02-22T14:18:38Z] <urbanecm@deploy1002> Synchronized wmf-config/CommonSettings.php: 6859cd28a2dd214b108b589bc8ecfb24dac93f9c: Do not delete the suppress group (T112147) (duration: 00m 50s)

Change 764789 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[operations/mediawiki-config@master] Add suppress group to privileged groups

https://gerrit.wikimedia.org/r/764789

Change 764789 merged by jenkins-bot:

[operations/mediawiki-config@master] Add suppress group to privileged groups

https://gerrit.wikimedia.org/r/764789

Mentioned in SAL (#wikimedia-operations) [2022-02-22T14:21:54Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: ec07ac00a2676b9c0f6481e752ae91814e3828db: Add suppress group to privileged groups (T112147) (duration: 00m 49s)

Change 764792 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[operations/mediawiki-config@master] Update oversight group to suppress

https://gerrit.wikimedia.org/r/764792

Mentioned in SAL (#wikimedia-operations) [2022-02-22T14:24:33Z] <urbanecm> mwscript migrateUserGroup.php --wiki=metawiki oversight suppress # T112147

Mentioned in SAL (#wikimedia-operations) [2022-02-22T14:31:08Z] <urbanecm> Run [urbanecm@mwmaint1002 ~]$ foreachwikiindblist oversight-wikis migrateUserGroup.php oversight suppress in a tmux session (oversight-wikis.dblist is a temporary dblist from P21310; T112147)

Change 764792 merged by jenkins-bot:

[operations/mediawiki-config@master] Update oversight group to suppress

https://gerrit.wikimedia.org/r/764792

Change 764402 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[operations/mediawiki-config@master] Revert \"Update oversight group to suppress\"

https://gerrit.wikimedia.org/r/764402

Change 764402 merged by Urbanecm:

[operations/mediawiki-config@master] Revert \"Update oversight group to suppress\"

https://gerrit.wikimedia.org/r/764402

Mentioned in SAL (#wikimedia-operations) [2022-02-22T15:07:45Z] <urbanecm> Finishing deployment of T112147 that started during B&C time

Change 752163 merged by jenkins-bot:

[operations/mediawiki-config@master] Remove the oversight group hack

https://gerrit.wikimedia.org/r/752163

Change 764403 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[operations/mediawiki-config@master] Revert \"Revert \"Update oversight group to suppress\"\"

https://gerrit.wikimedia.org/r/764403

Mentioned in SAL (#wikimedia-operations) [2022-02-22T15:13:45Z] <urbanecm@deploy1002> Synchronized wmf-config/CommonSettings.php: 79cfa4e7c509868bdb0a23841b70614724745a3d: Remove the oversight group hack (T112147) (duration: 00m 48s)

Change 764403 merged by jenkins-bot:

[operations/mediawiki-config@master] Revert \"Revert \"Update oversight group to suppress\"\"

https://gerrit.wikimedia.org/r/764403

Mentioned in SAL (#wikimedia-operations) [2022-02-22T15:17:40Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: 4a2a2129a9d1015674868c8539b6cae0e92a4d2a: Update oversight group to suppress (T112147) (duration: 00m 49s)

Mentioned in SAL (#wikimedia-operations) [2022-02-22T15:24:30Z] <urbanecm> Run mwscript purgeExpiredUserrights.php enwikiquote to purge an expired but not yet removed row with the old oversight group (T112147)

Mentioned in SAL (#wikimedia-operations) [2022-02-22T15:25:30Z] <urbanecm> [urbanecm@mwmaint1002 ~]$ mwscript migrateUserGroup.php --wiki=labswiki oversight suppress # T112147

Mentioned in SAL (#wikimedia-operations) [2022-02-22T15:25:58Z] <urbanecm> Migration of oversight => suppress is done (T112147)

Urbanecm moved this task from Already announced/Archive to To Triage on the User-notice board.

This is now done. I checked with foreachwiki mysql.php -- -e 'select count(*) from user_groups where ug_group="oversight"' there are no members of the old group left.

@Quiddity I'm not sure if this warrants a "it is completed" notice in the tech news. Moving the task to To Triage for you to look at -- I'll appreciate your opinion here.

Should the group-suppress and group-suppress-member messages be overridden in WikimediaMessages? It would be very annoying to create all the overrides needed in Commons to keep the name as expected. The qqq message documentation is also out of date for this use, as it refers to Flow.

Mentioned in SAL (#wikimedia-releng) [2022-02-22T16:41:52Z] <zabe> zabe@deployment-mwmaint02:~$ foreachwiki migrateUserGroup.php oversight suppress # T112147

Should the group-suppress and group-suppress-member messages be overridden in WikimediaMessages? It would be very annoying to create all the overrides needed in Commons to keep the name as expected. The qqq message documentation is also out of date for this use, as it refers to Flow.

Hello, I don't think so, for multiple reasons:

  1. Not all Wikimedia projects decided to keep the old name for the group. For instance, my home Wikipedia (cswiki) decided to use the Czech equivalent of the word "suppressor", as it is considered more descriptive than the previous version. Adding the overrides will likely create more work than they save.
  2. Majority of the projects are non-English: For non-English projects, the translation is the important part. Many times, translators will not use the equivalent of the English word, because that might not be understandable by the users. Instead, they pick whichever word(s) suit the context best. Translation will need to happen either way (and since group was already there, just hidden by a hack, for a long time, it likely already happened). Adding the overrides will increase the amount of work needed to ensure the resulting state is the wanted one.
  3. Majority of the projects don't have any suppressors: I think it's reasonable to say projects where there are no suppressors never thought "properly" about the right word to use. Of course, one can say that means they can use the old name as well -- but that argument works both ways.
  4. It makes the site slower: The only way overrides can be done is by adding additional custom code to WikimediaMessages, which slows the site down. Having a pattern of adding new code that can be reasonably avoided is making the projects go slower than they need to be.

In fact, I actually plan to revert the current override in a month or so. It's only there so the change doesn't break links.

Hope this makes sense.

@Quiddity I'm not sure if this warrants a "it is completed" notice in the tech news. Moving the task to To Triage for you to look at -- I'll appreciate your opinion here.

I don't think this needs to be re-announced as completed, as it was included 4 weeks ago, and (IIUC) there are no required actions from communities/individuals (unless they want to override the default/default-translation from translatewiki).
If I'm missing an aspect/nuance, that would mean it is crucially important for everyone to be aware of, please let me know.

@Quiddity I'm not sure if this warrants a "it is completed" notice in the tech news. Moving the task to To Triage for you to look at -- I'll appreciate your opinion here.

I don't think this needs to be re-announced as completed, as it was included 4 weeks ago, and (IIUC) there are no required actions from communities/individuals (unless they want to override the default/default-translation from translatewiki).
If I'm missing an aspect/nuance, that would mean it is crucially important for everyone to be aware of, please let me know.

@Quiddity, only "Special:Listusers/oversight" and "NUMBERINGROUP:oversight" needs to change on Wikimedia Wikis as "Special:Listusers/suppress" and "NUMBERINGROUP:suppress", otherwise list and number will not appear.

@Quiddity, only "Special:Listusers/oversight" and "NUMBERINGROUP:oversight" needs to change on Wikimedia Wikis as "Special:Listusers/suppress" and "NUMBERINGROUP:suppress", otherwise list and number will not appear.

I'm not sure what you mean here. Are you suggesting that it does need to be included in Tech News? (If so, how should it be described?)
Or, are the aspects you describe, already covered by changes in translatewiki?

@Quiddity, only "Special:Listusers/oversight" and "NUMBERINGROUP:oversight" needs to change on Wikimedia Wikis as "Special:Listusers/suppress" and "NUMBERINGROUP:suppress", otherwise list and number will not appear.

I'm not sure what you mean here. Are you suggesting that it does need to be included in Tech News? (If so, how should it be described?)
Or, are the aspects you describe, already covered by changes in translatewiki?

IMO, does not required to included in Tech News!

@Quiddity I'm not sure if this warrants a "it is completed" notice in the tech news. Moving the task to To Triage for you to look at -- I'll appreciate your opinion here.

I don't think this needs to be re-announced as completed, as it was included 4 weeks ago, and (IIUC) there are no required actions from communities/individuals (unless they want to override the default/default-translation from translatewiki).
If I'm missing an aspect/nuance, that would mean it is crucially important for everyone to be aware of, please let me know.

Not necessarily disagreeing, but depends on how you define "communities/individuals" — there was a change to the API and wgUserGroups, so anything technical (gadgets, bots, userscripts) using "oversight" was broken.

@Quiddity I'm not sure if this warrants a "it is completed" notice in the tech news. Moving the task to To Triage for you to look at -- I'll appreciate your opinion here.

I don't think this needs to be re-announced as completed, as it was included 4 weeks ago, and (IIUC) there are no required actions from communities/individuals (unless they want to override the default/default-translation from translatewiki).
If I'm missing an aspect/nuance, that would mean it is crucially important for everyone to be aware of, please let me know.

Not necessarily disagreeing, but depends on how you define "communities/individuals" — there was a change to the API and wgUserGroups, so anything technical (gadgets, bots, userscripts) using "oversight" was broken.

Indeed, changes like this one I made at Meta will likely need to be made in gadgets, userscripts etc. According to Global Search, there's quite a lot of entries that will need to be changed (basically anything that's used with Special:Listusers, NUMBERINGROUP or in javascript files will need to be changed).

I'm not sure if it's technews-worthy – if you think it's not, I'm completely fine with that.

Ah, if things are actually breaking, then I will re-include it. Thanks for the context!

I've worded it like this: https://meta.wikimedia.org/w/index.php?title=Tech/News/2022/09&diff=22895255&oldid=22892531&diffmode=source

The user group oversight was renamed suppress. This is for technical reasons. You may need to update any local technical references to the old name, e.g. gadgets, links to Special:Listusers, or uses of NUMBERINGROUP.

Please tweak directly, if you can make it any clearer/simpler/easy to translate. I'll freeze it for translations in ~3 hours. Thanks again!

What was the original motivation for changing oversight to suppress in MediaWiki? I can't tell from reading the top of the ticket. Anyway it's causing some userscript headaches.

What was the original motivation for changing oversight to suppress in MediaWiki? I can't tell from reading the top of the ticket. Anyway it's causing some userscript headaches.

Long story short, history was :).

Longer explanation: While the terms oversight and suppression are often used interchangeably, they actually refer to two different things. In the past, there were two features:

  • Oversight extension: the oversight extension allowed oversighters to (semi)permanently delete stuff from the wiki (in a way that can't be restored on-wiki, and would need sysadmin intervention to get back). One day, the extension was replaced with...
  • ...revision delete, which has the suppress functionality (I can track that terminology back to 2008). It is very similar, except it a) can be restored on-wiki b) uses a different terminology.

Probably, those two features were given different names, because they're actually doing something different (albeit with a shared goal). One day, the old oversight extension was deprecated in favor of the suppression. However, MW still didn't have a default group with the suppress capability (similar to how it provides "bureaucrat" or "administrator" groups). For that reason, Wikimedia wikis kept using the oversight group, as that's what they used before with the oversight extension.

A couple of years ago, MediaWiki started to include the "suppress" group by default. When that happened, Wikimedia's own config was altered to hide the default suppress group. That's not an usual operation that'd be supported by the wiki configuration, and it's error-prone. For some time, it worked well, but recently, it stopped working (see T275334 for context). This issue made me to do the group rename on Wikimedia wikis.

Hope this helps :).

Hope this helps :).

Good explanation. Thanks for taking the time :)

Change 769058 had a related patch set uploaded (by Zabe; author: Zabe):

[mediawiki/extensions/CentralAuth@master] Replace oversight with suppress

https://gerrit.wikimedia.org/r/769058

Change 769058 merged by jenkins-bot:

[mediawiki/extensions/CentralAuth@master] Replace oversight with suppress

https://gerrit.wikimedia.org/r/769058